Skip to main content
GET
/
v1
/
twitter
/
tweets
/
article
/
{article_id}
Get article by ID
curl --request GET \
  --url https://scrapebadger.com/v1/twitter/tweets/article/{article_id} \
  --header 'x-api-key: <api-key>'
{
  "id": "<string>",
  "title": "<string>",
  "text": "<string>",
  "cover_image_url": "<string>",
  "author_id": "<string>",
  "author_username": "<string>",
  "author_name": "<string>",
  "created_at": "<string>"
}

Authorizations

x-api-key
string
header
required

Your ScrapeBadger API key. You can find this in your dashboard at https://scrapebadger.com/dashboard/api-keys.

Path Parameters

article_id
string
required

The unique ID of the article.

Example:

"1234567890123456789"

Response

Successfully retrieved article.

Twitter Article (long-form post) data.

id
string
required

Unique article identifier.

title
string | null

Title of the article.

text
string | null

Full body text of the article.

cover_image_url
string | null

URL of the article's cover image.

author_id
string | null

Numeric ID of the article author.

author_username
string | null

Username of the article author.

author_name
string | null

Display name of the article author.

created_at
string | null

Timestamp when the article was published.